from fastapi import APIRouter
from service_demo.impl.AnswerServiceImpl import get_answer, get_answers

answer_router = APIRouter()

# 查询参数通常用于传递额外的信息，比如搜索关键字、过滤条件等等。
@answer_router.get("/getAnswer")
async def getAnswer(question: str):
    return get_answer(question)


@answer_router.get("/getAnswerAll")
async def getAnswerAll():
    return get_answers()
