from fastapi import APIRouter
from service_demo.impl.BookServiceImpl import get_book, get_books

book_router = APIRouter()

# 路径参数通常用于指定资源的唯一标识符或者名称等信息。
@book_router.get("/{book_id}")
async def get_book_route(book_id: int):
    return get_book(book_id)


@book_router.get("/")
async def get_books_route():
    return get_books()
